Debian Bug report logs - #391917
openbox: menu use section Window-Managers instead of WindowManagers

version graph

Package: openbox; Maintainer for openbox is Mateusz Łukasik <mati75@linuxmint.pl>; Source for openbox is src:openbox.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Mon, 9 Oct 2006 13:03:06 UTC

Severity: serious

Found in version openbox/3.3-2

Fixed in version openbox/3.3-2.1

Done: Faidon Liambotis <paravoid@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: openbox: menu use section Window-Managers instead of WindowManagers
Date: Mon, 9 Oct 2006 14:42:05 +0200
Package: openbox
Version: 3.3-2
Severity: serious

Hello Tollef,

The section in openbox menu entry is incorrect:

?package(openbox):needs="wm" \
        section="Window-Managers" title="Openbox" \
        command="/usr/bin/openbox"

According to the Debian menu subpolicy, the section should be
"WindowManagers", not "Window-Managers".

     WindowManagers
          X window managers

Now there was a typo in menufile(5) but this manpage is not
authoritative. I will fix it in next menu version.

This bug causes menu to generate a spurious Window-Managers section 
with a single entry.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Franz Pletz <fpletz@franz-pletz.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #10 received at 391917@bugs.debian.org (full text, mbox):

From: Franz Pletz <fpletz@franz-pletz.org>
To: 391917@bugs.debian.org, control@bugs.debian.org
Subject: Bug#391917: openbox: menu use section Window-Managers instead of WindowManagers
Date: Sat, 14 Oct 2006 20:03:16 +0200
severity 391917 important
thanks

This is not an RC bug as it doesn't affect the function of the program.

Cheers,
Franz

-- 
Franz Pletz                  \  eat Depends: cook | eat-out
www: http://franz-pletz.org/  \  But eat-out is non-free so that's out
email: fpletz@franz-pletz.org  \  And cook Recommends: clean-pans



Severity set to `important' from `serious' Request was from Franz Pletz <fpletz@franz-pletz.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #17 received at 391917@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: Franz Pletz <fpletz@franz-pletz.org>
Cc: 391917@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#391917: openbox: menu use section Window-Managers instead of WindowManagers
Date: Sat, 14 Oct 2006 23:46:01 +0200
[Message part 1 (text/plain, inline)]
severity 391917 serious
thanks
On Sat, Oct 14, 2006 at 08:03:16PM +0200, Franz Pletz wrote:
> 
> This is not an RC bug as it doesn't affect the function of the program.

No instead this is a policy violation and this breaks the menu system for
all people which have openbox installed even if they use another window
managers. Nice job.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 
[signature.asc (application/pgp-signature, inline)]

Severity set to `serious' from `important' Request was from <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #24 received at 391917@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 391917@bugs.debian.org
Cc: Bill Allombert <ballombe@debian.org>, Franz Pletz <fpletz@franz-pletz.org>, control@bugs.debian.org
Subject: Does not break unrelated things
Date: Tue, 24 Oct 2006 21:33:09 +0200
[Message part 1 (text/plain, inline)]
severity 391917 normal
thanks

Hi,

> > This bug causes menu to generate a spurious Window-Managers section 
> > with a single entry.

> No instead this is a policy violation and this breaks the menu system for
> all people which have openbox installed even if they use another window
> managers. Nice job.

I agree with Franz here that this is not release critical. All it does
is create an extra menu entry, which is a purely cosmetical issue. The
function of neither the program nor that of other programs is impacted.
Installing the package on my system results in no concrete breakage.

In order to call it release-critical, more evidence is needed to exactly
what functionality would be broken by this, apart from the cosmetics.

Obviously, the fix is very simple. So Tollef, please just swiftly upload
the fix to get this bug over with :-)


Thijs
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `serious' Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #31 received at 391917@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 391917@bugs.debian.org, control@bugs.debian.org
Subject: this is a Debian menu subpolicy violation
Date: Tue, 24 Oct 2006 22:10:44 +0200
severity 391917 serious
quit 

This package violates the Debian menu subpolicy, and breaks
the menu layout and translation on any system where the package is 
installed, whether it is used or not. There are no way we release
with the Debian menu system in that state.

Tollef, I plan to NMU this package next week if this bug is not fixed
before.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large blue swirl here. 



Severity set to `serious' from `normal' Request was from Bill Allombert <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#391917; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #38 received at 391917@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: 391917@bugs.debian.org
Subject: Re: Bug#391917: this is a Debian menu subpolicy violation
Date: Thu, 26 Oct 2006 19:50:56 +0200
* Bill Allombert 

| Tollef, I plan to NMU this package next week if this bug is not fixed
| before.

No need, I've just been busy with other real-world stuff, but will
hopefully catch up with this over the weekend.

(Technically, this bug is only normal (or maybe important), given that
the wording in policy is that «Menu entries should follow the current
menu policy.», not «must follow the current menu policy», but I don't
really care. :-)

-- 
Tollef Fog Heen                                                        ,''`.
UNIX is user friendly, it's just picky about who its friends are      : :' :
                                                                      `. `' 
                                                                        `-  



Reply sent to Faidon Liambotis <paravoid@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 391917-close@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: 391917-close@bugs.debian.org
Subject: Bug#391917: fixed in openbox 3.3-2.1
Date: Fri, 10 Nov 2006 18:08:20 -0800
Source: openbox
Source-Version: 3.3-2.1

We believe that the bug you reported is fixed in the latest version of
openbox, which is due to be installed in the Debian FTP archive:

openbox_3.3-2.1.diff.gz
  to pool/main/o/openbox/openbox_3.3-2.1.diff.gz
openbox_3.3-2.1.dsc
  to pool/main/o/openbox/openbox_3.3-2.1.dsc
openbox_3.3-2.1_amd64.deb
  to pool/main/o/openbox/openbox_3.3-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391917@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Faidon Liambotis <paravoid@debian.org> (supplier of updated openbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 10 Nov 2006 23:31:07 +0200
Source: openbox
Binary: openbox
Architecture: source amd64
Version: 3.3-2.1
Distribution: unstable
Urgency: high
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Faidon Liambotis <paravoid@debian.org>
Description: 
 openbox    - standards compliant, fast, light-weight, extensible window manage
Closes: 391917
Changes: 
 openbox (3.3-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * High-urgency upload for RC bug fix.
   * Revert erroneous Window-Managers to WindowManagers change
     (Closes: #391917)
Files: 
 ba819d4400534fce5a9dd926b0e43fd4 700 x11 optional openbox_3.3-2.1.dsc
 9aa3a7b2c42492a0fe32b556fb14267c 19344 x11 optional openbox_3.3-2.1.diff.gz
 d36305615029293ce8b9cb52f6e17361 238044 x11 optional openbox_3.3-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFVPQxVty5d8XpUzMRAl1KAJ9pVS1jYkkrKDNYY8KrQh+4IBue1QCfSYsq
lqTM+b0gMtrf/9Hjq51aOMI=
=ZDLF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:25:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:17:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.